#
# rtsp/build.mk
# rtsp 模块构建脚本
#
# Copyright (c) 2022-2024 OurEDA
#

TARGET := rtsp
CUR_INCS := -I$(CUR_SRC_DIR) \
			-I$(ROV_HOME)/configs \
			-I$(ROV_HOME)/common \
			-I$(ROV_HOME)/modules \
			-I$(ROV_HOME)/modules/tcp/generated \
			-I$(ROV_OUT_DIR)/include \
			-I$(ROV_OUT_DIR)/include/groupsock \
			-I$(ROV_OUT_DIR)/include/BasicUsageEnvironment \
			-I$(ROV_OUT_DIR)/include/UsageEnvironment \
			-I$(ROV_OUT_DIR)/include/liveMedia
CUR_SRCS := $(wildcard $(CUR_SRC_DIR)/*.c) \
			$(wildcard $(CUR_SRC_DIR)/*.cpp)
CUR_STATIC_LIBS := -lliveMedia -lUsageEnvironment -lBasicUsageEnvironment -lgroupsock
CUR_DEPS := live555 readerwriterqueue mpp

$(call build_module,$(TARGET))
